Executive Summary

Informations
Name CVE-2016-2376 First vendor Publication 2017-01-06
Vendor Cve Last vendor Modification 2017-03-30

Security-Database Scoring CVSS v3

Cvss vector : CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
Overall CVSS Score 8.1
Base Score 8.1 Environmental Score 8.1
impact SubScore 5.9 Temporal Score 8.1
Exploitabality Sub Score 2.2
 
Attack Vector Network Attack Complexity High
Privileges Required None User Interaction None
Scope Unchanged Confidentiality Impact High
Integrity Impact High Availability Impact High
Calculate full CVSS 3.0 Vectors scores

Security-Database Scoring CVSS v2

Cvss vector : (AV:N/AC:M/Au:N/C:P/I:P/A:P)
Cvss Base Score 6.8 Attack Range Network
Cvss Impact Score 6.4 Attack Complexity Medium
Cvss Expoit Score 8.6 Authentication None Required
Calculate full CVSS 2.0 Vectors scores

Detail

A buffer overflow vulnerability exists in the handling of the MXIT protocol in Pidgin. Specially crafted MXIT data sent from the server could potentially result in arbitrary code execution. A malicious server or an attacker who intercepts the network traffic can send an invalid size for a packet which will trigger a buffer overflow.

Original Source

Url : http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-2376

CWE : Common Weakness Enumeration

% Id Name
100 % CWE-119 Failure to Constrain Operations within the Bounds of a Memory Buffer

CPE : Common Platform Enumeration

TypeDescriptionCount
Application 71
Os 3
Os 1

Snort® IPS/IDS

Date Description
2016-06-07 Pidgin MXIT message length overflow attempt
RuleID : 39151 - Revision : 3 - Type : SERVER-OTHER
2016-06-07 Pidgin MXIT negative message length underflow attempt
RuleID : 39150 - Revision : 3 - Type : SERVER-OTHER

Nessus® Vulnerability Scanner

Date Description
2017-01-17 Name : The remote Gentoo host is missing one or more security-related patches.
File : gentoo_GLSA-201701-38.nasl - Type : ACT_GATHER_INFO
2016-07-18 Name : The remote Debian host is missing a security-related update.
File : debian_DSA-3620.nasl - Type : ACT_GATHER_INFO
2016-07-13 Name : The remote Ubuntu host is missing a security-related patch.
File : ubuntu_USN-3031-1.nasl - Type : ACT_GATHER_INFO
2016-07-05 Name : The remote Debian host is missing a security update.
File : debian_DLA-542.nasl - Type : ACT_GATHER_INFO
2016-06-23 Name : An instant messaging client installed on the remote host is affected by multi...
File : pidgin_2_11_0.nasl - Type : ACT_GATHER_INFO

Sources (Detail)

Source Url
BID http://www.securityfocus.com/bid/91335
CONFIRM http://www.pidgin.im/news/security/?id=92
DEBIAN http://www.debian.org/security/2016/dsa-3620
GENTOO https://security.gentoo.org/glsa/201701-38
MISC http://www.talosintelligence.com/reports/TALOS-2016-0118/
UBUNTU http://www.ubuntu.com/usn/USN-3031-1

Alert History

If you want to see full details history, please login or register.
0
1
2
3
4
5
6
7
8
Date Informations
2020-05-23 01:59:10
  • Multiple Updates
2020-05-23 00:50:20
  • Multiple Updates
2019-06-04 12:07:18
  • Multiple Updates
2018-09-25 12:11:29
  • Multiple Updates
2017-03-30 12:06:02
  • Multiple Updates
2017-01-18 13:25:47
  • Multiple Updates
2017-01-11 09:25:25
  • Multiple Updates
2017-01-10 17:24:18
  • Multiple Updates
2017-01-07 05:22:25
  • First insertion